List pools
curl --request GET \
--url https://guidinghand.ai/v1/computer_pools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/computer_pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/computer_pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "computer_pool",
"id": "pool_8fK2mQ0aLp4x",
"name": "<string>",
"computer_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"total_count": 123
}Computers
List pools
The org’s pools of computers, by name, a page at a time.
GET
/
v1
/
computer_pools
List pools
curl --request GET \
--url https://guidinghand.ai/v1/computer_pools \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/computer_pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/computer_pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "computer_pool",
"id": "pool_8fK2mQ0aLp4x",
"name": "<string>",
"computer_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"total_count": 123
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Query Parameters
Required range:
1 <= x <= 100Available options:
total_count